package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
* <p>
* </p>*业绩详情评分表
* @author quyixiao
* @since 2020-12-17
*/

@Data
@TableName("lz_result_score")
@ApiModel(value = "业绩详情评分表")
public class ResultScore implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //得分
    @ApiModelProperty(value = "得分", name = "acquireScore")
    private BigDecimal acquireScore;
    //
    @ApiModelProperty(value = "", name = "detailId")
    private Long detailId;
    //审批人id
    @ApiModelProperty(value = "审批人id", name = "approvalId")
    private Long approvalId;
    //评分说明
    @ApiModelProperty(value = "评分说明", name = "scoreComment")
    private String scoreComment;
    //评分权重
    @ApiModelProperty(value = "评分权重", name = "weight")
    private BigDecimal weight;
    //根据权重计算除的实际得分
    @ApiModelProperty(value = "根据权重计算除的实际得分", name = "score")
    private BigDecimal score;
    //0未评分，1已评分
    @ApiModelProperty(value = "0未评分，1已评分", name = "isEdit")
    private Integer isEdit;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 得分 
     * @return
     */
    public BigDecimal getAcquireScore() {
        return acquireScore;
    }
    /**
     * 得分 
     * @param acquireScore
     */
    public void setAcquireScore(BigDecimal acquireScore) {
        this.acquireScore = acquireScore;
    }

    /**
     *  
     * @return
     */
    public Long getDetailId() {
        return detailId;
    }
    /**
     *  
     * @param detailId
     */
    public void setDetailId(Long detailId) {
        this.detailId = detailId;
    }

    /**
     * 审批人id 
     * @return
     */
    public Long getApprovalId() {
        return approvalId;
    }
    /**
     * 审批人id 
     * @param approvalId
     */
    public void setApprovalId(Long approvalId) {
        this.approvalId = approvalId;
    }

    /**
     * 评分说明 
     * @return
     */
    public String getScoreComment() {
        return scoreComment;
    }
    /**
     * 评分说明 
     * @param scoreComment
     */
    public void setScoreComment(String scoreComment) {
        this.scoreComment = scoreComment;
    }

    /**
     * 评分权重 
     * @return
     */
    public BigDecimal getWeight() {
        return weight;
    }
    /**
     * 评分权重 
     * @param weight
     */
    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    /**
     * 根据权重计算除的实际得分 
     * @return
     */
    public BigDecimal getScore() {
        return score;
    }
    /**
     * 根据权重计算除的实际得分 
     * @param score
     */
    public void setScore(BigDecimal score) {
        this.score = score;
    }

    /**
     * 0未评分，1已评分 
     * @return
     */
    public Integer getIsEdit() {
        return isEdit;
    }
    /**
     * 0未评分，1已评分 
     * @param isEdit
     */
    public void setIsEdit(Integer isEdit) {
        this.isEdit = isEdit;
    }

    @Override
    public String toString() {
        return "ResultScore{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",acquireScore=" + acquireScore +
                ",detailId=" + detailId +
                ",approvalId=" + approvalId +
                ",scoreComment=" + scoreComment +
                ",weight=" + weight +
                ",score=" + score +
                ",isEdit=" + isEdit +
                "}";
    }
}